import React from 'react';
import ReactDOM from 'react-dom';
import { useWorldAtlas } from './useWorldAtlas';
import { useData } from './useData';
import { BubbleMap } from './BubbleMap/index.js';
import { DateHistogram } from './DateHistogram.js'
 

const width = 960;
const height = 500;
const dateHistogramSize = 0.2;
const App = () => {
  const data = useData();
  const worldAtlas = useWorldAtlas();

  if (!worldAtlas || !data) {
    return <pre>Loading...</pre>;
  }


  return (
    <svg width={width} height={height}>
      <BubbleMap data={data} worldAtlas={worldAtlas}/>
      <g transform={`translate(0, ${height - (dateHistogramSize*height)})`}>
      <DateHistogram data={data} height={(dateHistogramSize*height)}/>
      </g>
    </svg>
  );
};
const rootElement = document.getElementById(
  'root'
);
ReactDOM.render(<App />, rootElement);
